--Each .1 is a 10nth of the sound bar. 0 Being nothing and 1 being full.
if maxVol == nil then
	maxVol = 0.5
end

--Sets the volue of the background sounds.
local function SetVolStealth(vol)
	SetCVar("Sound_MusicVolume", vol)
end

--Either silents or restores sounds depending on if a buff exists.
local function onEvent(self, event)
	--Checks for Stealth
	stealthed = IsStealthed();
	
	if (stealthed and maxVol ~= 0) then
		SetVolStealth(0)
	else
		SetVolStealth(maxVol)
	end
end

--Gets the addon going on startup and rechecks everything your auras(buffs) change.
local addon = CreateFrame('Frame')
addon:SetScript('OnEvent', onEvent)
addon:RegisterEvent('ADDON_LOADED')
addon:RegisterEvent('UPDATE_STEALTH')


SLASH_SILENT1 = "/silent"

SlashCmdList["SILENT"] = function(str)
	num = tonumber(str)

	if num == nil or num > 1 or num < 0 or str == "" then
		DEFAULT_CHAT_FRAME:AddMessage("Silent Running: Please enter a number inbetween 0 and 1. (/silent .5)")    
	elseif num == 0 then
		DEFAULT_CHAT_FRAME:AddMessage("Silent Running: Music muted! Enter a number higher than zero to reenable.")
		maxVol = num
		onEvent()
	else
		DEFAULT_CHAT_FRAME:AddMessage("Silent Running: Volume set to "..num..".")
		maxVol = num
		onEvent()
	end
end